> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Identity

> Get Identity



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/identities/{identity_id}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/identities/{identity_id}:
    get:
      tags:
        - Identities
      summary: Get Identity
      description: Get Identity
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Identity ID
          in: path
          name: identity_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Identity'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    Identity:
      properties:
        account_id:
          type: string
        actions:
          items:
            type: string
          type: array
        created_at:
          type: string
        deleted_at:
          type: string
        id:
          type: string
        last_used_at:
          type: string
        linked_resources:
          type: integer
        name:
          type: string
        namespace:
          type: string
        original_id:
          type: string
        raw_rbac_objects:
          $ref: '#/components/schemas/RawRBACObjects'
        rbac_objects:
          $ref: '#/components/schemas/domain.RBACObjects'
        resolved_at:
          type: string
        resolved_reason:
          type: string
        rightsizeable:
          type: boolean
        risk_detectors:
          $ref: '#/components/schemas/RiskDetectors'
        risk_level:
          enum:
            - Unspecified
            - Negligible
            - Low
            - Medium
            - High
            - Critical
          type: string
        risk_score:
          type: number
        risk_types:
          items:
            type: string
          type: array
        risks:
          items:
            $ref: '#/components/schemas/Risk'
          type: array
        risks_summary:
          $ref: '#/components/schemas/RisksSummary'
        source_id:
          type: string
        source_name:
          type: string
        source_type:
          type: string
        status:
          enum:
            - open
            - resolved
          type: string
        tenant_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    RawRBACObjects:
      properties:
        cluster_role_bindings:
          items:
            $ref: '#/components/schemas/v1.ClusterRoleBinding'
          type: array
        cluster_roles:
          items:
            $ref: '#/components/schemas/v1.ClusterRole'
          type: array
        role_bindings:
          items:
            $ref: '#/components/schemas/v1.RoleBinding'
          type: array
        roles:
          items:
            $ref: '#/components/schemas/v1.Role'
          type: array
      type: object
    domain.RBACObjects:
      properties:
        assigned_roles:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
      type: object
    RiskDetectors:
      additionalProperties:
        $ref: '#/components/schemas/RiskDetectorMeta'
      type: object
    Risk:
      properties:
        associated_resources:
          items:
            $ref: '#/components/schemas/AssociatedResource'
          type: array
        deleted_at:
          type: string
        description:
          type: string
        fingerprint:
          type: string
        first_detected_at:
          type: string
        id:
          type: string
        identity_id:
          type: string
        last_detected_at:
          type: string
        name:
          type: string
        risk_counter:
          type: integer
        score:
          type: number
        type:
          type: string
        weight:
          type: number
      type: object
    RisksSummary:
      properties:
        risks:
          items:
            $ref: '#/components/schemas/RiskSummary'
          type: array
        total_risk_score:
          type: number
        total_weight:
          type: number
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
    v1.ClusterRoleBinding:
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations is an unstructured key value map stored with a resource
            that may be

            set by external tools to store and retrieve arbitrary metadata. They
            are not

            queryable and should be preserved when modifying objects.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations

            +optional
          type: object
        apiVersion:
          description: >-
            APIVersion defines the versioned schema of this representation of an
            object.

            Servers should convert recognized schemas to the latest internal
            value, and

            may reject unrecognized values.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

            +optional
          type: string
        creationTimestamp:
          description: >-
            CreationTimestamp is a timestamp representing the server time when
            this object was

            created. It is not guaranteed to be set in happens-before order
            across separate operations.

            Clients may not set this value. It is represented in RFC3339 form
            and is in UTC.


            Populated by the system.

            Read-only.

            Null for lists.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        deletionGracePeriodSeconds:
          description: >-
            Number of seconds allowed for this object to gracefully terminate
            before

            it will be removed from the system. Only set when deletionTimestamp
            is also set.

            May only be shortened.

            Read-only.

            +optional
          type: integer
        deletionTimestamp:
          description: >-
            DeletionTimestamp is RFC 3339 date and time at which this resource
            will be deleted. This

            field is set by the server when a graceful deletion is requested by
            the user, and is not

            directly settable by a client. The resource is expected to be
            deleted (no longer visible

            from resource lists, and not reachable by name) after the time in
            this field, once the

            finalizers list is empty. As long as the finalizers list contains
            items, deletion is blocked.

            Once the deletionTimestamp is set, this value may not be unset or be
            set further into the

            future, although it may be shortened or the resource may be deleted
            prior to this time.

            For example, a user may request that a pod is deleted in 30 seconds.
            The Kubelet will react

            by sending a graceful termination signal to the containers in the
            pod. After that 30 seconds,

            the Kubelet will send a hard termination signal (SIGKILL) to the
            container and after cleanup,

            remove the pod from the API. In the presence of network partitions,
            this object may still

            exist after this timestamp, until an administrator or automated
            process can determine the

            resource is fully terminated.

            If not set, graceful deletion of the object has not been requested.


            Populated by the system when a graceful deletion is requested.

            Read-only.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        finalizers:
          description: >-
            Must be empty before the object is deleted from the registry. Each
            entry

            is an identifier for the responsible component that will remove the
            entry

            from the list. If the deletionTimestamp of the object is non-nil,
            entries

            in this list can only be removed.

            Finalizers may be processed and removed in any order.  Order is NOT
            enforced

            because it introduces significant risk of stuck finalizers.

            finalizers is a shared field, any actor with permission can reorder
            it.

            If the finalizer list is processed in order, then this can lead to a
            situation

            in which the component responsible for the first finalizer in the
            list is

            waiting for a signal (field value, external system, or other)
            produced by a

            component responsible for a finalizer later in the list, resulting
            in a deadlock.

            Without enforced ordering finalizers are free to order amongst
            themselves and

            are not vulnerable to ordering changes in the list.

            +optional

            +patchStrategy=merge
          items:
            type: string
          type: array
        generateName:
          description: >-
            GenerateName is an optional prefix, used by the server, to generate
            a unique

            name ONLY IF the Name field has not been provided.

            If this field is used, the name returned to the client will be
            different

            than the name passed. This value will also be combined with a unique
            suffix.

            The provided value has the same validation rules as the Name field,

            and may be truncated by the length of the suffix required to make
            the value

            unique on the server.


            If this field is specified and the generated name exists, the server
            will return a 409.


            Applied only if Name is not specified.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency

            +optional
          type: string
        generation:
          description: >-
            A sequence number representing a specific generation of the desired
            state.

            Populated by the system. Read-only.

            +optional
          type: integer
        kind:
          description: >-
            Kind is a string value representing the REST resource this object
            represents.

            Servers may infer this from the endpoint the client submits requests
            to.

            Cannot be updated.

            In CamelCase.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

            +optional
          type: string
        labels:
          additionalProperties:
            type: string
          description: >-
            Map of string keys and values that can be used to organize and
            categorize

            (scope and select) objects. May match selectors of replication
            controllers

            and services.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/labels

            +optional
          type: object
        managedFields:
          description: |-
            ManagedFields maps workflow-id and version to the set of fields
            that are managed by that workflow. This is mostly for internal
            housekeeping, and users typically shouldn't need to set or
            understand this field. A workflow can be the user's name, a
            controller's name, or the name of a specific apply path like
            "ci-cd". The set of fields is always in the version that the
            workflow used when modifying the object.

            +optional
          items:
            $ref: '#/components/schemas/v1.ManagedFieldsEntry'
          type: array
        name:
          description: >-
            Name must be unique within a namespace. Is required when creating
            resources, although

            some resources may allow a client to request the generation of an
            appropriate name

            automatically. Name is primarily intended for creation idempotence
            and configuration

            definition.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names

            +optional
          type: string
        namespace:
          description: >-
            Namespace defines the space within which each name must be unique.
            An empty namespace is

            equivalent to the "default" namespace, but "default" is the
            canonical representation.

            Not all objects are required to be scoped to a namespace - the value
            of this field for

            those objects will be empty.


            Must be a DNS_LABEL.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces

            +optional
          type: string
        ownerReferences:
          description: >-
            List of objects depended by this object. If ALL objects in the list
            have

            been deleted, this object will be garbage collected. If this object
            is managed by a controller,

            then an entry in this list will point to this controller, with the
            controller field set to true.

            There cannot be more than one managing controller.

            +optional

            +patchMergeKey=uid

            +patchStrategy=merge
          items:
            $ref: '#/components/schemas/v1.OwnerReference'
          type: array
        resourceVersion:
          description: >-
            An opaque value that represents the internal version of this object
            that can

            be used by clients to determine when objects have changed. May be
            used for optimistic

            concurrency, change detection, and the watch operation on a resource
            or set of resources.

            Clients must treat these values as opaque and passed unmodified back
            to the server.

            They may only be valid for a particular resource or set of
            resources.


            Populated by the system.

            Read-only.

            Value must be treated as opaque by clients and .

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

            +optional
          type: string
        roleRef:
          $ref: '#/components/schemas/v1.RoleRef'
        selfLink:
          description: >-
            Deprecated: selfLink is a legacy read-only field that is no longer
            populated by the system.

            +optional
          type: string
        subjects:
          description: |-
            Subjects holds references to the objects the role applies to.
            +optional
          items:
            $ref: '#/components/schemas/v1.Subject'
          type: array
        uid:
          description: >-
            UID is the unique in time and space value for this object. It is
            typically generated by

            the server on successful creation of a resource and is not allowed
            to change on PUT

            operations.


            Populated by the system.

            Read-only.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids

            +optional
          type: string
      type: object
    v1.ClusterRole:
      properties:
        aggregationRule:
          $ref: '#/components/schemas/v1.AggregationRule'
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations is an unstructured key value map stored with a resource
            that may be

            set by external tools to store and retrieve arbitrary metadata. They
            are not

            queryable and should be preserved when modifying objects.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations

            +optional
          type: object
        apiVersion:
          description: >-
            APIVersion defines the versioned schema of this representation of an
            object.

            Servers should convert recognized schemas to the latest internal
            value, and

            may reject unrecognized values.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

            +optional
          type: string
        creationTimestamp:
          description: >-
            CreationTimestamp is a timestamp representing the server time when
            this object was

            created. It is not guaranteed to be set in happens-before order
            across separate operations.

            Clients may not set this value. It is represented in RFC3339 form
            and is in UTC.


            Populated by the system.

            Read-only.

            Null for lists.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        deletionGracePeriodSeconds:
          description: >-
            Number of seconds allowed for this object to gracefully terminate
            before

            it will be removed from the system. Only set when deletionTimestamp
            is also set.

            May only be shortened.

            Read-only.

            +optional
          type: integer
        deletionTimestamp:
          description: >-
            DeletionTimestamp is RFC 3339 date and time at which this resource
            will be deleted. This

            field is set by the server when a graceful deletion is requested by
            the user, and is not

            directly settable by a client. The resource is expected to be
            deleted (no longer visible

            from resource lists, and not reachable by name) after the time in
            this field, once the

            finalizers list is empty. As long as the finalizers list contains
            items, deletion is blocked.

            Once the deletionTimestamp is set, this value may not be unset or be
            set further into the

            future, although it may be shortened or the resource may be deleted
            prior to this time.

            For example, a user may request that a pod is deleted in 30 seconds.
            The Kubelet will react

            by sending a graceful termination signal to the containers in the
            pod. After that 30 seconds,

            the Kubelet will send a hard termination signal (SIGKILL) to the
            container and after cleanup,

            remove the pod from the API. In the presence of network partitions,
            this object may still

            exist after this timestamp, until an administrator or automated
            process can determine the

            resource is fully terminated.

            If not set, graceful deletion of the object has not been requested.


            Populated by the system when a graceful deletion is requested.

            Read-only.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        finalizers:
          description: >-
            Must be empty before the object is deleted from the registry. Each
            entry

            is an identifier for the responsible component that will remove the
            entry

            from the list. If the deletionTimestamp of the object is non-nil,
            entries

            in this list can only be removed.

            Finalizers may be processed and removed in any order.  Order is NOT
            enforced

            because it introduces significant risk of stuck finalizers.

            finalizers is a shared field, any actor with permission can reorder
            it.

            If the finalizer list is processed in order, then this can lead to a
            situation

            in which the component responsible for the first finalizer in the
            list is

            waiting for a signal (field value, external system, or other)
            produced by a

            component responsible for a finalizer later in the list, resulting
            in a deadlock.

            Without enforced ordering finalizers are free to order amongst
            themselves and

            are not vulnerable to ordering changes in the list.

            +optional

            +patchStrategy=merge
          items:
            type: string
          type: array
        generateName:
          description: >-
            GenerateName is an optional prefix, used by the server, to generate
            a unique

            name ONLY IF the Name field has not been provided.

            If this field is used, the name returned to the client will be
            different

            than the name passed. This value will also be combined with a unique
            suffix.

            The provided value has the same validation rules as the Name field,

            and may be truncated by the length of the suffix required to make
            the value

            unique on the server.


            If this field is specified and the generated name exists, the server
            will return a 409.


            Applied only if Name is not specified.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency

            +optional
          type: string
        generation:
          description: >-
            A sequence number representing a specific generation of the desired
            state.

            Populated by the system. Read-only.

            +optional
          type: integer
        kind:
          description: >-
            Kind is a string value representing the REST resource this object
            represents.

            Servers may infer this from the endpoint the client submits requests
            to.

            Cannot be updated.

            In CamelCase.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

            +optional
          type: string
        labels:
          additionalProperties:
            type: string
          description: >-
            Map of string keys and values that can be used to organize and
            categorize

            (scope and select) objects. May match selectors of replication
            controllers

            and services.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/labels

            +optional
          type: object
        managedFields:
          description: |-
            ManagedFields maps workflow-id and version to the set of fields
            that are managed by that workflow. This is mostly for internal
            housekeeping, and users typically shouldn't need to set or
            understand this field. A workflow can be the user's name, a
            controller's name, or the name of a specific apply path like
            "ci-cd". The set of fields is always in the version that the
            workflow used when modifying the object.

            +optional
          items:
            $ref: '#/components/schemas/v1.ManagedFieldsEntry'
          type: array
        name:
          description: >-
            Name must be unique within a namespace. Is required when creating
            resources, although

            some resources may allow a client to request the generation of an
            appropriate name

            automatically. Name is primarily intended for creation idempotence
            and configuration

            definition.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names

            +optional
          type: string
        namespace:
          description: >-
            Namespace defines the space within which each name must be unique.
            An empty namespace is

            equivalent to the "default" namespace, but "default" is the
            canonical representation.

            Not all objects are required to be scoped to a namespace - the value
            of this field for

            those objects will be empty.


            Must be a DNS_LABEL.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces

            +optional
          type: string
        ownerReferences:
          description: >-
            List of objects depended by this object. If ALL objects in the list
            have

            been deleted, this object will be garbage collected. If this object
            is managed by a controller,

            then an entry in this list will point to this controller, with the
            controller field set to true.

            There cannot be more than one managing controller.

            +optional

            +patchMergeKey=uid

            +patchStrategy=merge
          items:
            $ref: '#/components/schemas/v1.OwnerReference'
          type: array
        resourceVersion:
          description: >-
            An opaque value that represents the internal version of this object
            that can

            be used by clients to determine when objects have changed. May be
            used for optimistic

            concurrency, change detection, and the watch operation on a resource
            or set of resources.

            Clients must treat these values as opaque and passed unmodified back
            to the server.

            They may only be valid for a particular resource or set of
            resources.


            Populated by the system.

            Read-only.

            Value must be treated as opaque by clients and .

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

            +optional
          type: string
        rules:
          description: |-
            Rules holds all the PolicyRules for this ClusterRole
            +optional
          items:
            $ref: '#/components/schemas/v1.PolicyRule'
          type: array
        selfLink:
          description: >-
            Deprecated: selfLink is a legacy read-only field that is no longer
            populated by the system.

            +optional
          type: string
        uid:
          description: >-
            UID is the unique in time and space value for this object. It is
            typically generated by

            the server on successful creation of a resource and is not allowed
            to change on PUT

            operations.


            Populated by the system.

            Read-only.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids

            +optional
          type: string
      type: object
    v1.RoleBinding:
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations is an unstructured key value map stored with a resource
            that may be

            set by external tools to store and retrieve arbitrary metadata. They
            are not

            queryable and should be preserved when modifying objects.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations

            +optional
          type: object
        apiVersion:
          description: >-
            APIVersion defines the versioned schema of this representation of an
            object.

            Servers should convert recognized schemas to the latest internal
            value, and

            may reject unrecognized values.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

            +optional
          type: string
        creationTimestamp:
          description: >-
            CreationTimestamp is a timestamp representing the server time when
            this object was

            created. It is not guaranteed to be set in happens-before order
            across separate operations.

            Clients may not set this value. It is represented in RFC3339 form
            and is in UTC.


            Populated by the system.

            Read-only.

            Null for lists.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        deletionGracePeriodSeconds:
          description: >-
            Number of seconds allowed for this object to gracefully terminate
            before

            it will be removed from the system. Only set when deletionTimestamp
            is also set.

            May only be shortened.

            Read-only.

            +optional
          type: integer
        deletionTimestamp:
          description: >-
            DeletionTimestamp is RFC 3339 date and time at which this resource
            will be deleted. This

            field is set by the server when a graceful deletion is requested by
            the user, and is not

            directly settable by a client. The resource is expected to be
            deleted (no longer visible

            from resource lists, and not reachable by name) after the time in
            this field, once the

            finalizers list is empty. As long as the finalizers list contains
            items, deletion is blocked.

            Once the deletionTimestamp is set, this value may not be unset or be
            set further into the

            future, although it may be shortened or the resource may be deleted
            prior to this time.

            For example, a user may request that a pod is deleted in 30 seconds.
            The Kubelet will react

            by sending a graceful termination signal to the containers in the
            pod. After that 30 seconds,

            the Kubelet will send a hard termination signal (SIGKILL) to the
            container and after cleanup,

            remove the pod from the API. In the presence of network partitions,
            this object may still

            exist after this timestamp, until an administrator or automated
            process can determine the

            resource is fully terminated.

            If not set, graceful deletion of the object has not been requested.


            Populated by the system when a graceful deletion is requested.

            Read-only.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        finalizers:
          description: >-
            Must be empty before the object is deleted from the registry. Each
            entry

            is an identifier for the responsible component that will remove the
            entry

            from the list. If the deletionTimestamp of the object is non-nil,
            entries

            in this list can only be removed.

            Finalizers may be processed and removed in any order.  Order is NOT
            enforced

            because it introduces significant risk of stuck finalizers.

            finalizers is a shared field, any actor with permission can reorder
            it.

            If the finalizer list is processed in order, then this can lead to a
            situation

            in which the component responsible for the first finalizer in the
            list is

            waiting for a signal (field value, external system, or other)
            produced by a

            component responsible for a finalizer later in the list, resulting
            in a deadlock.

            Without enforced ordering finalizers are free to order amongst
            themselves and

            are not vulnerable to ordering changes in the list.

            +optional

            +patchStrategy=merge
          items:
            type: string
          type: array
        generateName:
          description: >-
            GenerateName is an optional prefix, used by the server, to generate
            a unique

            name ONLY IF the Name field has not been provided.

            If this field is used, the name returned to the client will be
            different

            than the name passed. This value will also be combined with a unique
            suffix.

            The provided value has the same validation rules as the Name field,

            and may be truncated by the length of the suffix required to make
            the value

            unique on the server.


            If this field is specified and the generated name exists, the server
            will return a 409.


            Applied only if Name is not specified.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency

            +optional
          type: string
        generation:
          description: >-
            A sequence number representing a specific generation of the desired
            state.

            Populated by the system. Read-only.

            +optional
          type: integer
        kind:
          description: >-
            Kind is a string value representing the REST resource this object
            represents.

            Servers may infer this from the endpoint the client submits requests
            to.

            Cannot be updated.

            In CamelCase.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

            +optional
          type: string
        labels:
          additionalProperties:
            type: string
          description: >-
            Map of string keys and values that can be used to organize and
            categorize

            (scope and select) objects. May match selectors of replication
            controllers

            and services.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/labels

            +optional
          type: object
        managedFields:
          description: |-
            ManagedFields maps workflow-id and version to the set of fields
            that are managed by that workflow. This is mostly for internal
            housekeeping, and users typically shouldn't need to set or
            understand this field. A workflow can be the user's name, a
            controller's name, or the name of a specific apply path like
            "ci-cd". The set of fields is always in the version that the
            workflow used when modifying the object.

            +optional
          items:
            $ref: '#/components/schemas/v1.ManagedFieldsEntry'
          type: array
        name:
          description: >-
            Name must be unique within a namespace. Is required when creating
            resources, although

            some resources may allow a client to request the generation of an
            appropriate name

            automatically. Name is primarily intended for creation idempotence
            and configuration

            definition.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names

            +optional
          type: string
        namespace:
          description: >-
            Namespace defines the space within which each name must be unique.
            An empty namespace is

            equivalent to the "default" namespace, but "default" is the
            canonical representation.

            Not all objects are required to be scoped to a namespace - the value
            of this field for

            those objects will be empty.


            Must be a DNS_LABEL.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces

            +optional
          type: string
        ownerReferences:
          description: >-
            List of objects depended by this object. If ALL objects in the list
            have

            been deleted, this object will be garbage collected. If this object
            is managed by a controller,

            then an entry in this list will point to this controller, with the
            controller field set to true.

            There cannot be more than one managing controller.

            +optional

            +patchMergeKey=uid

            +patchStrategy=merge
          items:
            $ref: '#/components/schemas/v1.OwnerReference'
          type: array
        resourceVersion:
          description: >-
            An opaque value that represents the internal version of this object
            that can

            be used by clients to determine when objects have changed. May be
            used for optimistic

            concurrency, change detection, and the watch operation on a resource
            or set of resources.

            Clients must treat these values as opaque and passed unmodified back
            to the server.

            They may only be valid for a particular resource or set of
            resources.


            Populated by the system.

            Read-only.

            Value must be treated as opaque by clients and .

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

            +optional
          type: string
        roleRef:
          $ref: '#/components/schemas/v1.RoleRef'
        selfLink:
          description: >-
            Deprecated: selfLink is a legacy read-only field that is no longer
            populated by the system.

            +optional
          type: string
        subjects:
          description: |-
            Subjects holds references to the objects the role applies to.
            +optional
          items:
            $ref: '#/components/schemas/v1.Subject'
          type: array
        uid:
          description: >-
            UID is the unique in time and space value for this object. It is
            typically generated by

            the server on successful creation of a resource and is not allowed
            to change on PUT

            operations.


            Populated by the system.

            Read-only.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids

            +optional
          type: string
      type: object
    v1.Role:
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations is an unstructured key value map stored with a resource
            that may be

            set by external tools to store and retrieve arbitrary metadata. They
            are not

            queryable and should be preserved when modifying objects.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations

            +optional
          type: object
        apiVersion:
          description: >-
            APIVersion defines the versioned schema of this representation of an
            object.

            Servers should convert recognized schemas to the latest internal
            value, and

            may reject unrecognized values.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

            +optional
          type: string
        creationTimestamp:
          description: >-
            CreationTimestamp is a timestamp representing the server time when
            this object was

            created. It is not guaranteed to be set in happens-before order
            across separate operations.

            Clients may not set this value. It is represented in RFC3339 form
            and is in UTC.


            Populated by the system.

            Read-only.

            Null for lists.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        deletionGracePeriodSeconds:
          description: >-
            Number of seconds allowed for this object to gracefully terminate
            before

            it will be removed from the system. Only set when deletionTimestamp
            is also set.

            May only be shortened.

            Read-only.

            +optional
          type: integer
        deletionTimestamp:
          description: >-
            DeletionTimestamp is RFC 3339 date and time at which this resource
            will be deleted. This

            field is set by the server when a graceful deletion is requested by
            the user, and is not

            directly settable by a client. The resource is expected to be
            deleted (no longer visible

            from resource lists, and not reachable by name) after the time in
            this field, once the

            finalizers list is empty. As long as the finalizers list contains
            items, deletion is blocked.

            Once the deletionTimestamp is set, this value may not be unset or be
            set further into the

            future, although it may be shortened or the resource may be deleted
            prior to this time.

            For example, a user may request that a pod is deleted in 30 seconds.
            The Kubelet will react

            by sending a graceful termination signal to the containers in the
            pod. After that 30 seconds,

            the Kubelet will send a hard termination signal (SIGKILL) to the
            container and after cleanup,

            remove the pod from the API. In the presence of network partitions,
            this object may still

            exist after this timestamp, until an administrator or automated
            process can determine the

            resource is fully terminated.

            If not set, graceful deletion of the object has not been requested.


            Populated by the system when a graceful deletion is requested.

            Read-only.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

            +optional
          type: string
        finalizers:
          description: >-
            Must be empty before the object is deleted from the registry. Each
            entry

            is an identifier for the responsible component that will remove the
            entry

            from the list. If the deletionTimestamp of the object is non-nil,
            entries

            in this list can only be removed.

            Finalizers may be processed and removed in any order.  Order is NOT
            enforced

            because it introduces significant risk of stuck finalizers.

            finalizers is a shared field, any actor with permission can reorder
            it.

            If the finalizer list is processed in order, then this can lead to a
            situation

            in which the component responsible for the first finalizer in the
            list is

            waiting for a signal (field value, external system, or other)
            produced by a

            component responsible for a finalizer later in the list, resulting
            in a deadlock.

            Without enforced ordering finalizers are free to order amongst
            themselves and

            are not vulnerable to ordering changes in the list.

            +optional

            +patchStrategy=merge
          items:
            type: string
          type: array
        generateName:
          description: >-
            GenerateName is an optional prefix, used by the server, to generate
            a unique

            name ONLY IF the Name field has not been provided.

            If this field is used, the name returned to the client will be
            different

            than the name passed. This value will also be combined with a unique
            suffix.

            The provided value has the same validation rules as the Name field,

            and may be truncated by the length of the suffix required to make
            the value

            unique on the server.


            If this field is specified and the generated name exists, the server
            will return a 409.


            Applied only if Name is not specified.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#idempotency

            +optional
          type: string
        generation:
          description: >-
            A sequence number representing a specific generation of the desired
            state.

            Populated by the system. Read-only.

            +optional
          type: integer
        kind:
          description: >-
            Kind is a string value representing the REST resource this object
            represents.

            Servers may infer this from the endpoint the client submits requests
            to.

            Cannot be updated.

            In CamelCase.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

            +optional
          type: string
        labels:
          additionalProperties:
            type: string
          description: >-
            Map of string keys and values that can be used to organize and
            categorize

            (scope and select) objects. May match selectors of replication
            controllers

            and services.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/labels

            +optional
          type: object
        managedFields:
          description: |-
            ManagedFields maps workflow-id and version to the set of fields
            that are managed by that workflow. This is mostly for internal
            housekeeping, and users typically shouldn't need to set or
            understand this field. A workflow can be the user's name, a
            controller's name, or the name of a specific apply path like
            "ci-cd". The set of fields is always in the version that the
            workflow used when modifying the object.

            +optional
          items:
            $ref: '#/components/schemas/v1.ManagedFieldsEntry'
          type: array
        name:
          description: >-
            Name must be unique within a namespace. Is required when creating
            resources, although

            some resources may allow a client to request the generation of an
            appropriate name

            automatically. Name is primarily intended for creation idempotence
            and configuration

            definition.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names

            +optional
          type: string
        namespace:
          description: >-
            Namespace defines the space within which each name must be unique.
            An empty namespace is

            equivalent to the "default" namespace, but "default" is the
            canonical representation.

            Not all objects are required to be scoped to a namespace - the value
            of this field for

            those objects will be empty.


            Must be a DNS_LABEL.

            Cannot be updated.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces

            +optional
          type: string
        ownerReferences:
          description: >-
            List of objects depended by this object. If ALL objects in the list
            have

            been deleted, this object will be garbage collected. If this object
            is managed by a controller,

            then an entry in this list will point to this controller, with the
            controller field set to true.

            There cannot be more than one managing controller.

            +optional

            +patchMergeKey=uid

            +patchStrategy=merge
          items:
            $ref: '#/components/schemas/v1.OwnerReference'
          type: array
        resourceVersion:
          description: >-
            An opaque value that represents the internal version of this object
            that can

            be used by clients to determine when objects have changed. May be
            used for optimistic

            concurrency, change detection, and the watch operation on a resource
            or set of resources.

            Clients must treat these values as opaque and passed unmodified back
            to the server.

            They may only be valid for a particular resource or set of
            resources.


            Populated by the system.

            Read-only.

            Value must be treated as opaque by clients and .

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

            +optional
          type: string
        rules:
          description: |-
            Rules holds all the PolicyRules for this Role
            +optional
          items:
            $ref: '#/components/schemas/v1.PolicyRule'
          type: array
        selfLink:
          description: >-
            Deprecated: selfLink is a legacy read-only field that is no longer
            populated by the system.

            +optional
          type: string
        uid:
          description: >-
            UID is the unique in time and space value for this object. It is
            typically generated by

            the server on successful creation of a resource and is not allowed
            to change on PUT

            operations.


            Populated by the system.

            Read-only.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids

            +optional
          type: string
      type: object
    RBACResource:
      properties:
        kind:
          type: string
        name:
          type: string
        namespace:
          type: string
        uid:
          type: string
        account_id:
          type: string
        cluster_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        updated_at:
          type: string
      type: object
    Graph:
      properties:
        edges:
          items:
            $ref: '#/components/schemas/Edge'
          type: array
        nodes:
          items:
            $ref: '#/components/schemas/Node'
          type: array
      type: object
    Permission:
      properties:
        api_groups:
          items:
            type: string
          type: array
        namespace:
          type: string
        resource_names:
          items:
            type: string
          type: array
        resources:
          items:
            type: string
          type: array
        verbs:
          items:
            type: string
          type: array
      type: object
    RiskDetectorMeta:
      properties:
        algorithm:
          type: string
        description:
          type: string
        skipped:
          type: boolean
        skipped_reason:
          type: string
        type:
          type: string
        version:
          type: string
        weight:
          type: number
      type: object
    AssociatedResource:
      properties:
        id:
          type: string
        name:
          type: string
        severity:
          type: string
      type: object
    RiskSummary:
      properties:
        count:
          type: integer
        normalized_weight:
          type: number
        score:
          type: number
        type:
          type: string
        weight:
          type: number
      type: object
    v1.ManagedFieldsEntry:
      properties:
        apiVersion:
          description: |-
            APIVersion defines the version of this resource that this field set
            applies to. The format is "group/version" just like the top-level
            APIVersion field. It is necessary to track the version of a field
            set because it cannot be automatically converted.
          type: string
        fieldsType:
          description: >-
            FieldsType is the discriminator for the different fields format and
            version.

            There is currently only one possible value: "FieldsV1"
          type: string
        fieldsV1:
          $ref: '#/components/schemas/v1.FieldsV1'
        manager:
          description: Manager is an identifier of the workflow managing these fields.
          type: string
        operation:
          description: >-
            Operation is the type of operation which lead to this
            ManagedFieldsEntry being created.

            The only valid values for this field are 'Apply' and 'Update'.
          type: string
        subresource:
          description: >-
            Subresource is the name of the subresource used to update that
            object, or

            empty string if the object was updated through the main resource.
            The

            value of this field is used to distinguish between managers, even if
            they

            share the same name. For example, a status update will be distinct
            from a

            regular update using the same manager name.

            Note that the APIVersion field is not related to the Subresource
            field and

            it always corresponds to the version of the main resource.
          type: string
        time:
          description: |-
            Time is the timestamp of when the ManagedFields entry was added. The
            timestamp will also be updated if a field is added, the manager
            changes any of the owned fields value or removes a field. The
            timestamp does not update when a field is removed from the entry
            because another manager took it over.
            +optional
          type: string
      type: object
    v1.OwnerReference:
      properties:
        apiVersion:
          description: API version of the referent.
          type: string
        blockOwnerDeletion:
          description: >-
            If true, AND if the owner has the "foregroundDeletion" finalizer,
            then

            the owner cannot be deleted from the key-value store until this

            reference is removed.

            See
            https://kubernetes.io/docs/concepts/architecture/garbage-collection/#foreground-deletion

            for how the garbage collector interacts with this field and enforces
            the foreground deletion.

            Defaults to false.

            To set this field, a user needs "delete" permission of the owner,

            otherwise 422 (Unprocessable Entity) will be returned.

            +optional
          type: boolean
        controller:
          description: |-
            If true, this reference points to the managing controller.
            +optional
          type: boolean
        kind:
          description: >-
            Kind of the referent.

            More info:
            https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
          type: string
        name:
          description: >-
            Name of the referent.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#names
          type: string
        uid:
          description: >-
            UID of the referent.

            More info:
            https://kubernetes.io/docs/concepts/overview/working-with-objects/names#uids
          type: string
      type: object
    v1.RoleRef:
      properties:
        apiGroup:
          description: APIGroup is the group for the resource being referenced
          type: string
        kind:
          description: Kind is the type of resource being referenced
          type: string
        name:
          description: Name is the name of resource being referenced
          type: string
      type: object
    v1.Subject:
      properties:
        apiGroup:
          description: |-
            APIGroup holds the API group of the referenced subject.
            Defaults to "" for ServiceAccount subjects.
            Defaults to "rbac.authorization.k8s.io" for User and Group subjects.
            +optional
          type: string
        kind:
          description: >-
            Kind of object being referenced. Values defined by this API group
            are "User", "Group", and "ServiceAccount".

            If the Authorizer does not recognized the kind value, the Authorizer
            should report an error.
          type: string
        name:
          description: Name of the object being referenced.
          type: string
        namespace:
          description: >-
            Namespace of the referenced object.  If the object kind is
            non-namespace, such as "User" or "Group", and this value is not
            empty

            the Authorizer should report an error.

            +optional
          type: string
      type: object
    v1.AggregationRule:
      properties:
        clusterRoleSelectors:
          description: >-
            ClusterRoleSelectors holds a list of selectors which will be used to
            find ClusterRoles and create the rules.

            If any of the selectors match, then the ClusterRole's permissions
            will be added

            +optional
          items:
            $ref: '#/components/schemas/v1.LabelSelector'
          type: array
      type: object
    v1.PolicyRule:
      properties:
        apiGroups:
          description: >-
            APIGroups is the name of the APIGroup that contains the resources. 
            If multiple API groups are specified, any action requested against
            one of

            the enumerated resources in any API group will be allowed. ""
            represents the core API group and "*" represents all API groups.

            +optional
          items:
            type: string
          type: array
        nonResourceURLs:
          description: >-
            NonResourceURLs is a set of partial urls that a user should have
            access to.  *s are allowed, but only as the full, final step in the
            path

            Since non-resource URLs are not namespaced, this field is only
            applicable for ClusterRoles referenced from a ClusterRoleBinding.

            Rules can either apply to API resources (such as "pods" or
            "secrets") or non-resource URL paths (such as "/api"),  but not
            both.

            +optional
          items:
            type: string
          type: array
        resourceNames:
          description: >-
            ResourceNames is an optional white list of names that the rule
            applies to.  An empty set means that everything is allowed.

            +optional
          items:
            type: string
          type: array
        resources:
          description: >-
            Resources is a list of resources this rule applies to. '*'
            represents all resources.

            +optional
          items:
            type: string
          type: array
        verbs:
          description: >-
            Verbs is a list of Verbs that apply to ALL the ResourceKinds
            contained in this rule. '*' represents all verbs.
          items:
            type: string
          type: array
      type: object
    Edge:
      properties:
        from_id:
          type: string
        id:
          type: string
        to_id:
          type: string
        type:
          type: string
      type: object
    Node:
      properties:
        id:
          type: string
        properties:
          additionalProperties: {}
          type: object
        type:
          type: string
      type: object
    v1.FieldsV1:
      type: object
    v1.LabelSelector:
      properties:
        matchExpressions:
          description: >-
            matchExpressions is a list of label selector requirements. The
            requirements are ANDed.

            +optional
          items:
            $ref: '#/components/schemas/v1.LabelSelectorRequirement'
          type: array
        matchLabels:
          additionalProperties:
            type: string
          description: >-
            matchLabels is a map of {key,value} pairs. A single {key,value} in
            the matchLabels

            map is equivalent to an element of matchExpressions, whose key field
            is "key", the

            operator is "In", and the values array contains only "value". The
            requirements are ANDed.

            +optional
          type: object
      type: object
    v1.LabelSelectorRequirement:
      properties:
        key:
          description: key is the label key that the selector applies to.
          type: string
        operator:
          description: |-
            operator represents a key's relationship to a set of values.
            Valid operators are In, NotIn, Exists and DoesNotExist.
          type: string
        values:
          description: >-
            values is an array of string values. If the operator is In or NotIn,

            the values array must be non-empty. If the operator is Exists or
            DoesNotExist,

            the values array must be empty. This array is replaced during a
            strategic

            merge patch.

            +optional
          items:
            type: string
          type: array
      type: object

````